petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMRestoreWorkArray

Restores a work array guaranteed to be at least the input size, restore with DMRestoreWorkArray()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMRestoreWorkArray(DM dm,PetscInt count,PetscDataType dtype,void *mem)

Not Collective Many br

### Input Parameters

| dm | - the DM object Many br
| count | - The minium size Many br
| dtype | - data type (PETSC_REAL, PETSC_SCALAR, PETSC_INT) Many br

### Output Parameter

array -the work array Many br

Many br

### See Also

DMDestroy(), DMCreate()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages